# coding: utf-8
from django.conf import settings

__author__ = 'Andrey Torsunov'
__contact__ = 'torsunov@bars-open.com'
__docformat__ = 'restructuredtext'


if not hasattr(settings, 'DATALOGGER_EXCLUDE_FIELDS'):
    settings.DATALOGGER_EXCLUDE_FIELDS = ()

if not hasattr(settings, 'DATABASE_ROUTES'):
    settings.DATABASE_ROUTES = ()

if not hasattr(settings, 'MIDDLEWARE_CLASSES'):
    settings.MIDDLEWARE_CLASSES = ()


settings.DATABASE_ROUTES += (
    'datalogging.dbrouters.DataLoggerRouter',
)

settings.MIDDLEWARE_CLASSES += (
    'datalogging.middleware.CaptureRequestMiddleware',
    'datalogging.middleware.RequestTokenMiddleware',
)

settings.DATALOGGER_MANAGER_NAME = '_datalogger_manager'
